Package org.apache.sling.scripting.sightly.compiler.commands

## Class Conditional

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Conditional

    public final class Conditional
    extends Object

This `Command` imposes a condition on the next rendering commands.

### Nested Class Summary

Nested Classes
`static class` `Conditional.End`
`static class` `Conditional.Start`

### Field Summary

Fields
`static Conditional.End` `END`

### Constructor Summary

Constructors
`Conditional()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END

    public static final Conditional.End END

### Constructor Detail

#### Conditional

    public Conditional()